<?php

namespace App\Http\Requests\Semesters;

use App\Http\Requests\ApiFormRequest;

class SemesterResolveRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function validationData(): array
    {
        return request()->all();
    }

    public function rules(): array
    {
        return [
            'date' => ['nullable', 'date'],
        ];
    }
}
